org.apache.olingo.odata2.api.processor.part

## Interface EntityMediaProcessor

- All Superinterfaces:
    ODataProcessor
  All Known Implementing Classes:
    CustomODataJPAProcessor, ListsProcessor, ODataJPADefaultProcessor, ODataJPAProcessor, ODataSingleProcessor

      public interface EntityMediaProcessor
      extends ODataProcessor

  Execute an OData entity media request

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ODataResponse` | `deleteEntityMedia(DeleteUriInfo uriInfo, String contentType)` Deletes the media resource of an entity.
    `ODataResponse` | `readEntityMedia(GetMediaResourceUriInfo uriInfo, String contentType)` Reads the media resource of an entity.
    `ODataResponse` | `updateEntityMedia(PutMergePatchUriInfo uriInfo, InputStream content, String requestContentType, String contentType)` Updates the media resource of an entity.

    - ### Methods inherited from interface org.apache.olingo.odata2.api.processor.ODataProcessor

      `getContext, setContext`

- - ### Method Detail

    - #### readEntityMedia

          ODataResponse readEntityMedia(GetMediaResourceUriInfo uriInfo,
                                        String contentType)
                                 throws ODataException

      Reads the media resource of an entity.
      Parameters:
        `uriInfo` - information about the request URI
        `contentType` - the content type of the response
      Returns:
        an `ODataResponse` object
      Throws:
        `ODataException`

    - #### updateEntityMedia

          ODataResponse updateEntityMedia(PutMergePatchUriInfo uriInfo,
                                          InputStream content,
                                          String requestContentType,
                                          String contentType)
                                   throws ODataException

      Updates the media resource of an entity.
      Parameters:
        `uriInfo` - information about the request URI
        `content` - the content of the request
        `requestContentType` - the content type of the request body
        `contentType` - the content type of the response
      Returns:
        an `ODataResponse` object
      Throws:
        `ODataException`

    - #### deleteEntityMedia

          ODataResponse deleteEntityMedia(DeleteUriInfo uriInfo,
                                          String contentType)
                                   throws ODataException

      Deletes the media resource of an entity.
      Parameters:
        `uriInfo` - information about the request URI
        `contentType` - the content type of the response
      Returns:
        an `ODataResponse` object
      Throws:
        `ODataException`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.